## com.arsdigita.cms.docmgr.search
Class SearchResult

    java.lang.Object
      com.arsdigita.cms.docmgr.search.SearchResult

All Implemented Interfaces:
  Comparable

public class SearchResult
extends Object
implements Comparable

Encapsulates a DataQuery returned from SearchSpecification and provides convenience methods for retrieving results. ********************* WARNING *********************** ********************* WARNING *********************** ********************* WARNING *********************** Under *NO* circumstances change anything in this file. Doing so will break backwards compatability with the remote search SOAP API. ********************* WARNING *********************** ********************* WARNING *********************** ********************* WARNING ***********************

Author:
  Simon Buckle (sbuckle@arsdigita.com)

Constructor Summary
`SearchResult()`
`SearchResult(BigDecimal id, String link_text, String url_stub, String summary, BigDecimal score)`

Method Summary
`int` `compareTo(Object o)`
`BigDecimal` `getID()`
`String` `getLink()`
`BigDecimal` `getScore()`
`String` `getSummary()`
`String` `getUrlStub()`
`void` `setID(BigDecimal id)`
`void` `setLink(String link)`
`void` `setScore(BigDecimal score)`
`void` `setSummary(String summary)`
`void` `setUrlStub(String urlStub)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchResult

    public SearchResult()

### SearchResult

    public SearchResult(BigDecimal id,
                        String link_text,
                        String url_stub,
                        String summary,
                        BigDecimal score)

Method Detail

### getSummary

    public String getSummary()

### setSummary

    public void setSummary(String summary)

### getScore

    public BigDecimal getScore()

### setScore

    public void setScore(BigDecimal score)

### getID

    public BigDecimal getID()

### setID

    public void setID(BigDecimal id)

### getLink

    public String getLink()

### setLink

    public void setLink(String link)

### getUrlStub

    public String getUrlStub()

### setUrlStub

    public void setUrlStub(String urlStub)

### toString

    public String toString()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC